@echo off

REM Copyright 2019-2020 MicroEJ Corp. All rights reserved.
REM This library is provided in source code for use, modification and test, subject to license terms.
REM Any modification of the source code will break MicroEJ Corp. warranties on the whole library.

REM 'set_project_env.bat' implementation for IAR Embedded Workbench.

REM 'set_project_env' is responsible for
REM - checking the availability of required environment variables 
REM - setting project local variables for 'build.bat' and 'run.bat' 

REM Required Environment Variable
REM IAREW_85x_INSTALLATION_DIR

IF "%IAREW_85x_INSTALLATION_DIR%" == "" (
    ECHO Please set the environment variable 'IAREW_85x_INSTALLATION_DIR'
    exit /B -1
)

REM Set the project variables required by the external build script for IAR Embedded Workbench
SET IAREW_INSTALLATION_DIR=%IAREW_85x_INSTALLATION_DIR%
SET IAREW_PROJECT_DIR=%~dp0%\..
SET IAREW_PROJECT_NAME=microej_freertos
SET IAREW_PROJECT_CONFIGURATION=flash_debug

ECHO IAREW_INSTALLATION_DIR=%IAREW_INSTALLATION_DIR%
ECHO IAREW_PROJECT_DIR=%IAREW_PROJECT_DIR%
ECHO IAREW_PROJECT_NAME=%IAREW_PROJECT_NAME%
ECHO IAREW_PROJECT_CONFIGURATION=%IAREW_PROJECT_CONFIGURATION%
exit /B 0