/*
 * C
 *
 * Copyright 2012-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
#ifndef __TIME_HARDWARE_TIMER_H
#define __TIME_HARDWARE_TIMER_H

// -----------------------------------------------------------------------------
// Includes
// -----------------------------------------------------------------------------

#include <stdint.h>

// -----------------------------------------------------------------------------
// Project functions
// -----------------------------------------------------------------------------

/**
 * Provide functions to get time using an hardware timer
 */
void time_hardware_timer_initialize(void);
void time_hardware_timer_wait_ready(void);
int64_t time_hardware_timer_getCurrentTime(void);
int64_t time_hardware_timer_getTimeNanos(void);
int64_t time_hardware_timer_getTimeUs(void);

#endif /* __TIME_HARDWARE_TIMER_H */

// -----------------------------------------------------------------------------
// EOF
// -----------------------------------------------------------------------------

