/*
 * C
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef __FTVGLITE_INTERN_H__
# define __FTVGLITE_INTERN_H__

#include <stdint.h>

#include "ftvglite.h"

#define _VGLITE_CMD_MOVE_TO         2
typedef struct path_move_to_16 {
    int16_t cmd;
    int16_t x;
    int16_t y;
} path_move_to_16_t;

#define _VGLITE_CMD_LINE_TO         4
typedef struct path_line_to_16 {
    int16_t cmd;
    int16_t x;
    int16_t y;
} path_line_to_16_t;

#define _VGLITE_CMD_QUAD_TO         6
typedef struct path_quad_to_16 {
    int16_t cmd;
    int16_t cx;
    int16_t cy;
    int16_t x;
    int16_t y;
} path_quad_to_16_t;

#define _VGLITE_CMD_CUBIC_TO        8
typedef struct path_cubic_to_16 {
    int16_t cmd;
    int16_t cx1;
    int16_t cy1;
    int16_t cx2;
    int16_t cy2;
    int16_t x;
    int16_t y;
} path_cubic_to_16_t;

#define _VGLITE_CMD_END             0
typedef struct path_end_16 {
    int16_t cmd;
} path_end_16_t;

#define FT_VGLITE_PATH_POOL_CHUNK       0x100

#endif // __FTVGLITE_INTERN_H__