/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.helper;

/**
 * Class containing the positions of the elements of the {@link com.microej.page.MainList}.
 */
public class MainListPositions {
	/**
	 * The position of the main list of the Clock element.
	 */
	public static final int CLOCK = 0;

	/**
	 * The position of the main list of the HeartRate element.
	 */
	public static final int HEART_RATE = 1;

	/**
	 * The position of the main list of the Activity element.
	 */
	public static final int ACTIVITY = 2;

	/**
	 * The position of the main list of the Compass element.
	 */
	public static final int COMPASS = 3;

	/**
	 * The position of the main list of the Vector Mascot element.
	 */
	public static final int VECTOR_MASCOT = 4;

	/**
	 * The position of the main list of the Vector Circle Arc element.
	 */
	public static final int VECTOR_CIRCLE_ARC = 5;

	/**
	 * The position of the main list of the FreetypeText element.
	 */
	public static final int FREETYPE_TEXT = 6;

	/**
	 * The position of the main list of the Message element.
	 */
	public static final int MESSAGE = 7;
	/**
	 * The position of the main list of the GPS element.
	 */
	public static final int GPS = 8;

	/**
	 * The position of the main list of the Light element.
	 */
	public static final int LIGHT = 9;

	/**
	 * The position of the main list of the Music element.
	 */
	public static final int MUSIC = 10;

	/**
	 * The position of the main list of the Twitter element.
	 */
	public static final int TWITTER = 11;

	/**
	 * The position of the main list of the Parameters element.
	 */
	public static final int PARAMETERS = 12;

	private MainListPositions() {
		// Prevent initialization.
	}
}
