/*
 * Java
 *
 * Copyright 2020-2021 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.helper;

/**
 * Class containing the names of the different pages of the application.
 */
public class PageNames {

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Message".
	 */
	public static final String MESSAGE_PAGE = "Message"; //$NON-NLS-1$

	/**
	 * The name of the {@link com.microej.page.HeartRatePage} of the application.
	 */
	public static final String HEART_RATE_PAGE = "Heart Rate"; //$NON-NLS-1$

	/**
	 * The name of the {@link com.microej.page.CompassPage} of the application.
	 */
	public static final String COMPASS = "Compass"; //$NON-NLS-1$

	/**
	 * The name of the {@link com.microej.page.VectorMascotPage} of the application.
	 */
	public static final String VECTOR_MASCOT = "VG Mascot"; //$NON-NLS-1$

	/**
	 * The name of the {@link com.microej.page.VectorCircleArcPage} of the application.
	 */
	public static final String VECTOR_CIRCLE_ARC = "VG Circle Arc"; //$NON-NLS-1$

	/**
	 * The name of the {@link com.microej.page.VectorFontPage} of the application.
	 */
	public static final String VECTOR_FONT = "VG Font"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Activity".
	 */
	public static final String ACTIVITY = "Activity"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "GPS".
	 */
	public static final String GPS = "GPS"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Light".
	 */
	public static final String LIGHT = "Light"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Twitter".
	 */
	public static final String TWITTER = "Twitter"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Music".
	 */
	public static final String MUSIC = "Music"; //$NON-NLS-1$

	/**
	 * The name of an {@link com.microej.page.EmptyPage} of the application with the message "Language".
	 */
	public static final String PARAMETERS = "Parameters"; //$NON-NLS-1$

	private PageNames() {
		// Prevent initialization.
	}
}
