/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.generator;

public interface GIMLGeneratorConstants {

	/**
	 * The Id attribute name
	 */
	String ID_ATTRIBUTE = "id";

	/**
	 * The prefix of the generated source codes variables
	 */
	String FACTORY_VARIABLE_PREFIX = "var";

	/**
	 * The package name for the generated source codes
	 */
	String GIML_GENERATED_SRC_PACKAGE = "com.is2t.giml";

	/**
	 * The package folder of the generated source
	 */
	String GIML_GENERATED_SRC_PACKAGE_DIR = "com/is2t/giml/";

	/**
	 * The property name of the GIML binary file
	 */
	String GIML_BINARY_PROPERTY_NAME = "giml.binary.file";

	/**
	 * The GIML binary name
	 */
	String GIML_BINARY_FILE_NAME = "giml.bin";

	/**
	 * GIML resources.list file name
	 */
	String GIML_RESOURCES_LIST_FILE_NAME = "giml.resources.list";

	/**
	 * GIML system.properties file name
	 */
	String GIML_SYSTEM_PROPERTIES_FILE_NAME = "giml.system.properties";

	/**
	 * GIML system.properties file name
	 */
	String GIML_TYPES_LIST_FILE_NAME = "giml.types.list";

	/**
	 * The GIML StringTemplate file name for used for source code generation
	 */
	String GIML_STRING_TEMPLATE_FILE_NAME = "com/is2t/giml/generator/giml.stg";

	/**
	 * The GIML factory provider interface
	 */
	String GIML_FACTORY_PROVIDER_INTERFACE = "ej.giml.GIMLFactoryProvider";

	/**
	 * The implementation name of the GIML factory provider
	 */
	String GIML_FACTORY_PROVIDER_IMPL_NAME = "GIMLFactoryProviderImpl";

	/**
	 * Root ids interface name.
	 */
	String ROOT_IDS_INTERFACE_NAME = "RootIds";

	/**
	 * Property name to define the version of the GIML runtime supported by the compiler
	 */
	String GIML_RUNTIME_VERSION_PROPERTY_NAME = "giml.compiler.runtime.version";

	/**
	 * Minimum version of the GIML runtime supported by the compiler.
	 */
	String GIML_RUNTIME_VERSION = "3.1.0";

}
