/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.generator.test;

import java.io.InputStream;
import java.io.StringWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Map;

import org.junit.Ignore;

import com.is2t.giml.description.Description;
import com.is2t.giml.description.Type;

@Ignore
public class SimpleNodeDescription implements Description {

	static final String TAG = "simple";
	private static final String CLASS_NAME = "ej.widget.composed.Simple";
	private static final String TEXT1_ATTRIBUTE = "text1";
	private static final String TEXT2_ATTRIBUTE = "text2";
	private static final String TEXT3_ATTRIBUTE = "text3";
	private static final String TEXT4_ATTRIBUTE = "text4";

	@Override
	public boolean isRoot() {
		return false;
	}

	@Override
	public Type getAttributeType(String attributeName) {
		switch (attributeName.toLowerCase()) {
		case TEXT1_ATTRIBUTE:
		case TEXT2_ATTRIBUTE:
		case TEXT3_ATTRIBUTE:
		case TEXT4_ATTRIBUTE:
			return Type.STRING;
		default:
			throw new IllegalArgumentException(attributeName);
		}
	}

	@Override
	public void generateInitialization(String variableName, Map<String, String> attributes, StringWriter writer) {
		// not tested
	}

	@Override
	public Object newInstance(ClassLoader arg0, Map<String, Object> arg1) throws ReflectiveOperationException {
		// not tested
		return null;
	}

	@Override
	public boolean hasOrderedElements() {
		return true;
	}

	@Override
	public String getDefaultElement() {
		return null;
	}

	@Override
	public Collection<String> getElements() {
		return Collections.emptyList();
	}

	@Override
	public Type getElementType(String elementName) {
		throw new IllegalArgumentException();
	}

	@Override
	public Type getElementAttributeType(String elementName, String attributeName) {
		throw new IllegalArgumentException();
	}

	@Override
	public int getElementMaxCardinality(String elementName) {
		throw new IllegalArgumentException();
	}

	@Override
	public void generateChild(String variableName, String elementName, Map<String, String> attributes,
			String childVariableName, StringWriter writer) {
		// No child.
	}

	@Override
	public void addChild(ClassLoader arg0, Object arg1, String arg2, Map<String, Object> arg3, Object arg4)
			throws ReflectiveOperationException {
		// not tested
	}

	@Override
	public Collection<String> getElementAttributes(String elementName) {
		return Collections.emptyList();
	}

	@Override
	public String getClassName() {
		return CLASS_NAME;
	}

	@Override
	public String getFriendlyName() {
		return TAG;
	}

	@Override
	public String getDescription() {
		return TAG;
	}

	@Override
	public InputStream getIcon16() {
		return null;
	}

	@Override
	public InputStream getIcon24() {
		return null;
	}

	@Override
	public String getTag() {
		return TAG;
	}

	@Override
	public boolean isRequiredAttribute(String attributeName) {
		switch (attributeName.toLowerCase()) {
		case TEXT1_ATTRIBUTE:
		case TEXT2_ATTRIBUTE:
		case TEXT3_ATTRIBUTE:
		case TEXT4_ATTRIBUTE:
			return false;
		default:
			throw new IllegalArgumentException(attributeName);
		}
	}

	@Override
	public Collection<String> getAttributes() {
		ArrayList<String> list = new ArrayList<String>();
		list.add(TEXT1_ATTRIBUTE);
		list.add(TEXT2_ATTRIBUTE);
		list.add(TEXT3_ATTRIBUTE);
		list.add(TEXT4_ATTRIBUTE);
		return list;
	}
}
