/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.jsgenerator.global;

import com.is2t.giml.jsgenerator.JavaScriptSourceToMicroEJSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.LocalDeclaration;
import com.is2t.java.nodes.Statement;
import com.is2t.java.nodes.expressions.Assignment;
import com.is2t.java.nodes.expressions.LocalAccess;

import jdk.nashorn.internal.ir.CallNode;

/**
 * Global object defined in the JS code
 */
public class GlobalObjectUserDefined implements GlobalObject {

	protected final String name;

	public GlobalObjectUserDefined(String name) {
		this.name = name;
	}

	@Override
	public String getGlobalName() {
		return name;
	}

	@Override
	public Statement generateInitialization(JavaScriptSourceToMicroEJSourceGenerator gen) {
		return new Assignment(new LocalAccess(new LocalDeclaration(gen.TYPE_OBJECT, gen.javaName(name), null)),
				gen.getUndefinedObject());
	}

	@Override
	public Expression generateCallExpression(JavaScriptSourceToMicroEJSourceGenerator gen, CallNode call,
			String functionName) {
		return null;
	}
}
