/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.model.exception;

/**
 * Thrown to indicate that a template invocation is illegal due to name collision with an existing GIML tag.
 */
public class GIMLTemplateInvocationException extends GIMLModelException {

	private static final long serialVersionUID = -4923168218973056362L;

	/**
	 * Constructs a {@code GIMLTemplateInvocationException} with the specified detail message.
	 *
	 * @param message
	 *            the detail message.
	 */
	public GIMLTemplateInvocationException(String message) {
		super(message);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param message
	 *            the detail message
	 * @param cause
	 *            the cause
	 */
	public GIMLTemplateInvocationException(String message, Throwable cause) {
		super(message, cause);
	}
}
