/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.parser.exception;

/**
 * An instance of {@code XMLParserDuplicatedDocumentException} is thrown to indicate that a document with the same ID
 * already exist.
 */
public class XMLParserDuplicatedDocumentException extends XMLParserException {

	private static final long serialVersionUID = 132911345226226664L;

	/**
	 * Constructs a new duplicated document exception for the given duplicated document ID.
	 *
	 * @param documentId
	 *            the duplicated document ID.
	 */
	public XMLParserDuplicatedDocumentException(String documentId) {
		super(String.format("Duplicated document ID '%s'", documentId));
	}

}
