/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.parser.exception;

/**
 * An instance of {@code XMLParserUnknownDocumentException} is thrown to indicate that a document cannot be found.
 */
public class XMLParserUnknownDocumentException extends XMLParserException {

	private static final long serialVersionUID = 5883219630822160791L;

	/**
	 * Constructs a new exception for the given document unique ID.
	 *
	 * @param documentId
	 *            the ID of the missing document.
	 */
	public XMLParserUnknownDocumentException(String documentId) {
		super(String.format("Cannot find document with id '%s'", documentId));
	}

}
