package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

public class Modifiers extends JavaSourceNode{

	public int bits ;	// 0 == no modifier 

	//same as ist.nodes.Modifiers
	public static final int 
	AccNoModifier= 0,
	AccPublic = 0x0001,
	AccPrivate = 0x0002,
	AccProtected = 0x0004,
	AccStatic = 0x0008,
	AccFinal = 0x0010,
	AccSuper, 
	AccSynchronized = AccSuper = 0x0020,
	AccVolatile = 0x0040,
	AccTransient = 0x0080,
	
	AccNative = 0x0100,	
	AccInterface = 0x0200,	
	AccAbstract = 0x400,
	AccStrictfp = 0x0800,
	
	// only for java
	AccSynthetic = 0x00400000, //when method/field are synthetic
	AccDeprecated =0x00800000, //when method/field/class are deprecated
	
	/**
	 * IceTea upper modifier
	 */
	AccUpper = 0x01000;
	
	public Modifiers(int bits){
		this.bits = bits;
	}
	
	public Modifiers(){
		//this.bits = AccNoModifier; vm done
	}
	
		
	public static Modifiers newPublicStaticFinalModifiers() {
		return new Modifiers( AccPublic | AccStatic | AccFinal);
	}
	
	public static Modifiers newPublicStaticModifiers() {
		return new Modifiers( AccPublic | AccStatic );
	}
	
	public static Modifiers newPublicModifiers() {
		return new Modifiers( AccPublic );
	}
	
	public static Modifiers NoModifiers() {
		return new Modifiers( AccNoModifier);
	}
	
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateModifiers(this);
	}
	
	public boolean isAbstract()		{ return (bits & AccAbstract) 		!= 0; }
	public boolean isDeprecated()	{ return (bits & AccDeprecated) 	!= 0; }
	public boolean isFinal()		{ return (bits & AccFinal) 			!= 0; }
	public boolean isNative()		{ return (bits & AccNative) 		!= 0; }
	public boolean isSynchronized()	{ return (bits & AccSynchronized)	!= 0; }
	public boolean isPrivate()		{ return (bits & AccPrivate) 		!= 0; }
	public boolean isProtected()	{ return (bits & AccProtected) 		!= 0; }
	public boolean isPublic()		{ return (bits & AccPublic) 		!= 0; }
	public boolean isStatic()		{ return (bits & AccStatic) 		!= 0; }
	public boolean isSynthetic()	{ return (bits & AccSynthetic) 		!= 0; }
	public boolean isVolatile()		{ return (bits & AccVolatile)		!= 0; }
	public boolean isInterface()	{ return (bits & AccInterface)		!= 0; }

}