package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.ClassDeclaration;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

/**
 * Java Expression :
 * 		new Point(x,y);
 * 	or  new Point() { public void run() {} };
 * 
 * x,y are parameters;
 * public void run() {} is a qualification
 * 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ObjectAllocation extends Allocation {
	
	public ClassDeclaration innerClass; // when define an innerclass inherits from Allocation type, null otherwise
	
	public ObjectAllocation( TypeReference type, Expression[] parameters) {
		super( type, parameters);
	}
	

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateObjectAllocation( this);
		
	}
	
	
}
