/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import ej.microui.display.GraphicsContext;

/**
 * Provides access to vg_lite native APIs.
 */
public class vg_lite {

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_FILL_NON_ZERO = 0;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_FILL_EVEN_ODD = 1;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_NONE = 0;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_SRC_OVER = 1;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_DST_OVER = 2;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_SRC_IN = 3;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_DST_IN = 4;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_SCREEN = 5;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_MULTIPLY = 6;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_ADDITIVE = 7;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_BLEND_SUBTRACT = 8;

	/**
	 * See <code>vg_lite_clear</code> C function. Target buffer is managed in C.
	 *
	 * @param x
	 *            see vg_lite.h for definition
	 * @param y
	 *            see vg_lite.h for definition
	 * @param width
	 *            see vg_lite.h for definition
	 * @param height
	 *            see vg_lite.h for definition
	 * @param color
	 *            see vg_lite.h for definition
	 * @throws vg_lite_error
	 *             An explicit exception in case an error occurred
	 */
	public static void vg_lite_clear(int x, int y, int width, int height, int color) throws vg_lite_error {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_draw_path</code> C function. Target buffer is managed in C.
	 *
	 * @param gc
	 *            the instance of GraphicsContext describing the destination where to draw
	 * @param path
	 *            see vg_lite.h for definition
	 * @param fill_rule
	 *            see vg_lite.h for definition
	 * @param matrix
	 *            see vg_lite.h for definition
	 * @param blend
	 *            see vg_lite.h for definition
	 * @param color
	 *            see vg_lite.h for definition
	 * @throws vg_lite_error
	 *             An explicit exception in case an error occurred
	 */
	public static void vg_lite_draw_path(GraphicsContext gc, vg_lite_path path, int fill_rule, vg_lite_matrix matrix,
			int blend, int color) throws vg_lite_error {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_draw_gradient</code> C function. Target buffer is managed in C.
	 *
	 * @param gc
	 *            the instance of GraphicsContext describing the destination where to draw
	 * @param path
	 *            see vg_lite.h for definition
	 * @param fill_rule
	 *            see vg_lite.h for definition
	 * @param matrix
	 *            see vg_lite.h for definition
	 * @param gradient
	 *            see vg_lite.h for definition
	 * @param blend
	 *            see vg_lite.h for definition
	 * @throws vg_lite_error
	 *             An explicit exception in case an error occurred
	 */
	public static void vg_lite_draw_gradient(GraphicsContext gc, vg_lite_path path, int fill_rule,
			vg_lite_matrix matrix, vg_lite_gradient gradient, int blend) throws vg_lite_error {
		throw new RuntimeException();
	}
}
