/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import ej.sni.NativeException;

/**
 * Exception that represents a vg_lite error.
 */
public class vg_lite_error extends NativeException {

	private static final long serialVersionUID = 3067586278861595017L;

	/**
	 * Creates a new vg_lite_error.
	 *
	 * @param errorCode
	 *            error code reported by the vg_lite library
	 * @param message
	 *            explicit message associated to the error code
	 */
	public vg_lite_error(int errorCode, String message) {
		super(errorCode, message);
	}
}
