/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 *
 */
public class vg_lite_gradient implements AutoCloseable {

	/**
	 * Creates a vg_lite gradient object.
	 * <p>
	 * The gradient matrix is initialized as an identity matrix.
	 * <p>
	 * Important: On call of this constructor a dynamic allocation is done. To free this allocation the method close
	 * must be called.
	 * <p>
	 * If the instance is dereferenced without being closed, a memory leak will be generated
	 */
	public vg_lite_gradient() {
		throw new RuntimeException();
	}

	@Override
	public void close() {
		throw new RuntimeException();
	}

	/**
	 * Gets the handle of a gradient.
	 *
	 * @return The handle
	 */
	public int getHandle() {
		throw new RuntimeException();
	}

	/**
	 * Gets the matrix of the gradient.
	 *
	 * @return The handle
	 */
	public vg_lite_matrix getMatrix() {
		throw new RuntimeException();
	}

	/**
	 * Initializes the gradient to its default settings.
	 * <p>
	 * See <code>vg_lite_init_grad</code> C function.
	 *
	 * @param gradient
	 *            gradient to initialize
	 */
	public static void vg_lite_init_grad(vg_lite_gradient gradient) {
		throw new RuntimeException();
	}

	/**
	 * Sets the values for the members of the gradient definition.
	 * <p>
	 * See <code>vg_lite_set_grad</code> C function.
	 *
	 * @param gradient
	 *            gradient to set
	 * @param count
	 *            The count of the colors in gradient.
	 * @param colors
	 *            A color is formed using 8-bit ARGB channels. The blue channel is in the lower 8-bit of the color
	 *            value, followed by the green and red channels. The alpha channel is in the upper 8-bit of the color
	 *            value.
	 * @param stops
	 *            Numbers ranging from 0 to 255 specifying the distribution of colors along the gradient.
	 */
	public static void vg_lite_set_grad(vg_lite_gradient gradient, int count, int[] colors, int[] stops) {
		throw new RuntimeException();
	}

	/**
	 * Updates or generates the corresponding gradient to render with.
	 * <p>
	 * The gradient has an internal buffer which is used to render the gradient pattern. The buffer will be
	 * created/updated by the corresponding gradient parameters.
	 * <p>
	 * See <code>vg_lite_update_grad</code> C function.
	 *
	 * @param gradient
	 *            gradient to update
	 */
	public static void vg_lite_update_grad(vg_lite_gradient gradient) {
		throw new RuntimeException();
	}
}
