/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 * Provides access to vg_lite native APIs specific for the matrix operations.
 */
public class vg_lite_matrix implements AutoCloseable {

	/**
	 * Creates an identity matrix.
	 *
	 * Important: On call of this constructor a dynamic allocation is done. To free this allocation the method close
	 * must be called.
	 *
	 * If the instance is dereferenced without being closed, a memory leak will be generated
	 */
	public vg_lite_matrix() {
		throw new RuntimeException();
	}

	/**
	 * Creates a matrix from an existing handle.
	 *
	 * Important: On call of this constructor dynamic allocation is NOT done. The close method of the created instance
	 * must be called only once.
	 *
	 * @param handle
	 *            handle on an existing matrix
	 */
	public vg_lite_matrix(int handle) {
		throw new RuntimeException();
	}

	@Override
	public void close() {
		throw new RuntimeException();
	}

	/**
	 * @return the handle of the matrix.
	 */
	public int getHandle() {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_identity</code> C function.
	 *
	 * @param matrix
	 *            matrix on which to execute operation
	 */
	public static void vg_lite_identity(vg_lite_matrix matrix) {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_translate</code> C function.
	 *
	 * @param x
	 *            see vg_lite_matrix.h for definition
	 * @param y
	 *            see vg_lite_matrix.h for definition
	 * @param matrix
	 *            matrix on which to execute operation
	 */
	public static void vg_lite_translate(float x, float y, vg_lite_matrix matrix) {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_scale</code> C function.
	 *
	 * @param scale_x
	 *            see vg_lite_matrix.h for definition
	 * @param scale_y
	 *            see vg_lite_matrix.h for definition
	 * @param matrix
	 *            matrix on which to execute operation
	 */
	public static void vg_lite_scale(float scale_x, float scale_y, vg_lite_matrix matrix) {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_rotate</code> C function.
	 *
	 * @param degrees
	 *            see vg_lite_matrix.h for definition
	 * @param matrix
	 *            matrix on which to execute operation
	 */
	public static void vg_lite_rotate(float degrees, vg_lite_matrix matrix) {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_perspective</code> C function.
	 *
	 * @param px
	 *            see vg_lite_matrix.h for definition
	 * @param py
	 *            see vg_lite_matrix.h for definition
	 * @param matrix
	 *            matrix on which to execute operation
	 */
	public static void vg_lite_perspective(float px, float py, vg_lite_matrix matrix) {
		throw new RuntimeException();
	}
}
