/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 * Class describing a vg_lite_path
 *
 * Expected to be an immutable so that it can be passed as-is to native side
 */
public class vg_lite_path {

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_HIGH = 0;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_UPPER = 1;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_MEDIUM = 2;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_LOW = 3;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_S8 = 0;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_S16 = 1;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_S32 = 2;

	/**
	 * See vg_lite.h for definition.
	 */
	public static final int VG_LITE_FP32 = 3;

	/**
	 * Creates a new instance of a vg_lite_path.
	 *
	 * When used with this constructor the path is not usable. It must be updated with <code>vg_lite_path.update</code>
	 */
	public vg_lite_path() {
		throw new RuntimeException();
	}

	/**
	 * Creates a new instance of a vg_lite_path.
	 *
	 * @param left
	 *            left bound of the path
	 * @param top
	 *            top bound of the path
	 * @param right
	 *            right bound of the path
	 * @param bottom
	 *            bottom bound of the path
	 * @param quality
	 *            quality of the path (see vg_lite.h for definition)
	 * @param format
	 *            format of the path (see vg_lite.h for definition)
	 * @param path
	 *            byte array containing the actual path data
	 * @param offset
	 *            offset in the path array
	 * @param length
	 *            length in the path array
	 */
	public vg_lite_path(float left, float top, float right, float bottom, int quality, int format, byte[] path,
			int offset, int length) {
		throw new RuntimeException();
	}

	/**
	 * Creates a new instance of a vg_lite_path.
	 *
	 * @param left
	 *            left bound of the path
	 * @param top
	 *            top bound of the path
	 * @param right
	 *            right bound of the path
	 * @param bottom
	 *            bottom bound of the path
	 * @param quality
	 *            quality of the path (see vg_lite.h for definition)
	 * @param format
	 *            format of the path (see vg_lite.h for definition)
	 * @param path
	 *            byte array containing the actual path data
	 */
	public vg_lite_path(float left, float top, float right, float bottom, int quality, int format, byte[] path) {
		throw new RuntimeException();
	}

	/**
	 * Updates a vg_lite_path.
	 *
	 * @param left
	 *            left bound of the path
	 * @param top
	 *            top bound of the path
	 * @param right
	 *            right bound of the path
	 * @param bottom
	 *            bottom bound of the path
	 * @param quality
	 *            quality of the path (see vg_lite.h for definition)
	 * @param format
	 *            format of the path (see vg_lite.h for definition)
	 * @param path
	 *            byte array containing the actual path data
	 * @param offset
	 *            offset in the path array
	 * @param length
	 *            length in the path array
	 */
	public void update(float left, float top, float right, float bottom, int quality, int format, byte[] path,
			int offset, int length) {
		throw new RuntimeException();
	}

	/**
	 * Updates a vg_lite_path.
	 *
	 * @param left
	 *            left bound of the path
	 * @param top
	 *            top bound of the path
	 * @param right
	 *            right bound of the path
	 * @param bottom
	 *            bottom bound of the path
	 * @param quality
	 *            quality of the path (see vg_lite.h for definition)
	 * @param format
	 *            format of the path (see vg_lite.h for definition)
	 * @param path
	 *            byte array containing the actual path data
	 */
	public void update(float left, float top, float right, float bottom, int quality, int format, byte[] path) {
		throw new RuntimeException();
	}

	/**
	 * @return the path quality (see vg_lite.h for definition)
	 */
	public int getQuality() {
		throw new RuntimeException();
	}

	/**
	 * @return the path format (see vg_lite.h for definition)
	 */
	public int getFormat() {
		throw new RuntimeException();
	}

	/**
	 * @return a byte array containing the path data
	 */
	public byte[] getPath() {
		throw new RuntimeException();
	}

	/**
	 * @return the offset in the byte array containing the path data
	 */
	public int getPathOffset() {
		throw new RuntimeException();
	}

	/**
	 * @return the path length of the path
	 */
	public int getPathLength() {
		throw new RuntimeException();
	}

	/**
	 * @return the left bound of the path
	 */
	public float getLeft() {
		throw new RuntimeException();
	}

	/**
	 * @return the right bound of the path
	 */
	public float getRight() {
		throw new RuntimeException();
	}

	/**
	 * @return the top bound of the path
	 */
	public float getTop() {
		throw new RuntimeException();
	}

	/**
	 * @return the bottom bound of the path
	 */
	public float getBottom() {
		throw new RuntimeException();
	}
}
