/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.vector.font;

import java.io.IOException;

/**
 * A Vector font.
 */
public class VectorFont {

	/**
	 * Gets an instance of {@link VectorFont} by its name.
	 *
	 * @param fontPath
	 *            the path of the font to get
	 * @return a singleton instance of the font
	 * @throws IOException
	 *             when the font cannot be loaded
	 */
	public static synchronized VectorFont getTrueTypeFont(String fontPath) throws IOException {
		throw new RuntimeException();
	}

	private VectorFont() {
		// Prevent direct instantiation of this class
	}

	/**
	 * Gets the width of the given character with this font.<br>
	 * The width is the horizontal distance that would be occupied if the character was drawn using this font. It also
	 * includes the horizontal spaces between characters to separate them appropriately.
	 *
	 * @param height
	 *            the size of the font
	 * @param character
	 *            the character to measure
	 * @return the width taken by the given string.
	 */
	public int charWidth(float height, char character) {
		throw new RuntimeException();
	}

	/**
	 * Gets the width of the given string with this font.<br>
	 * The width is the horizontal distance that would be occupied if the string was drawn using this font. It also
	 * includes the horizontal spaces between characters to separate them appropriately.
	 *
	 * @param height
	 *            the size of the font
	 * @param string
	 *            the string to measure
	 * @return the width taken by the given string.
	 */
	public int stringWidth(float height, String string) {
		throw new RuntimeException();
	}
}
