/*
 * Copyright (c) 1996, 2013, Oracle and/or its affiliates. All rights reserved.
 * Copyright (C) 2015-2016, IS2T - EDC compliance and optimizations.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package java.net;


public interface SocketOptions {

    public void
        setOption(int optID, Object value) throws SocketException;

    public Object getOption(int optID) throws SocketException;


    public final static int TCP_NODELAY = 0x0001;

    public final static int SO_BINDADDR = 0x000F;

    public final static int SO_REUSEADDR = 0x04;

    public final static int SO_BROADCAST = 0x0020;

    public final static int IP_MULTICAST_IF = 0x10;

    public final static int IP_MULTICAST_IF2 = 0x1f;

    public final static int IP_MULTICAST_LOOP = 0x12;

    public final static int IP_TOS = 0x3;

    public final static int SO_LINGER = 0x0080;

    public final static int SO_TIMEOUT = 0x1006;

    public final static int SO_SNDBUF = 0x1001;

    public final static int SO_RCVBUF = 0x1002;

    public final static int SO_KEEPALIVE = 0x0008;

    public final static int SO_OOBINLINE = 0x1003;
}
