/*
 * Java
 *
 * Copyright 2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.demo.watch.util.helper;

/**
 *
 */
public class PowerManagementHelperNative {

	/**
	 * Performance Profiles declaration.
	 */
	private static final int PERF_PROFILE_MAX_PERFS = 0xFF;
	private static final int PERF_PROFILE_POWER_SAVING = 0x00;

	/**
	 * Native method mock
	 */
	public static int setPerfProfile(int profile) {

		switch (profile) {

		case PERF_PROFILE_MAX_PERFS:
			System.out.println("[PowerManagement] Switching to Max Performance Profile");
			break;
		case PERF_PROFILE_POWER_SAVING:
			System.out.println("[PowerManagement] Switching to Power Saving Performance Profile");
			break;
		}

		return 0;
	}
}
