/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import java.awt.Color;

/**
 *
 */
public class Gradient {

	private final Matrix matrix;

	private float[] fractions;

	private Color[] colors;

	public Gradient(Matrix matrix) {
		this.matrix = matrix;
		this.fractions = new float[0];
		this.colors = new Color[0];
	}

	public int getHandle() {
		return this.hashCode();
	}

	public Matrix getMatrix() {
		return matrix;
	}


	public float[] getFractions() {
		return this.fractions;
	}

	public void setFractions(int[] intFractions) {
		this.fractions = new float[intFractions.length];

		for (int i = 0; i < intFractions.length; i++) {
			this.fractions[i] = intFractions[i] / 255f;
		}
	}

	public Color[] getColors() {
		return this.colors;
	}

	public void setColors(int[] colors) {
		this.colors = new Color[colors.length];

		for (int i = 0; i < colors.length; i++) {
			this.colors[i] = new Color(Nvg_lite.getDisplayColor(colors[i]), true);
		}
	}
}
