/*
 * Java
 *
 * Copyright 2019-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import java.util.HashMap;
import java.util.Map;

/**
 *
 */
public class Nvg_lite_matrix {
	private static Map<Integer, Matrix> matrixMap = new HashMap<>();

	public static int create() {
		Matrix m = new Matrix();
		matrixMap.put(m.getHandle(), m);
		m.identity();

		return m.getHandle();
	}

	public static int destroy(int handle) {
		matrixMap.remove(handle);

		return 0;
	}

	public static int identity(int handle) {
		Matrix m = get(handle);

		if (m != null) {
			m.identity();
		}

		return 0;
	}

	public static int translate(int handle, float x, float y) {
		Matrix m = get(handle);

		if (m != null) {
			m.translate(x, y);
		}

		return 0;
	}

	public static int scale(int handle, float x, float y) {
		Matrix m = get(handle);

		if (m != null) {
			m.scale(x, y);
		}

		return 0;
	}

	public static int rotate(int handle, float degrees) {
		Matrix m = get(handle);

		if (m != null) {
			m.rotate(degrees);
		}

		return 0;
	}

	public static int vg_lite_matrix_perspective(int handle, float px, float py) {
		throw new UnsupportedOperationException();
	}

	public static Matrix get(int handle) {
		return matrixMap.get(Integer.valueOf(handle));
	}
}
