/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante.path;

import java.nio.ByteBuffer;

/**
 * Expected to be an immutable so that it can be passed as-is to native side
 */
public class PathParserFP32 extends PathParserBase {
	public static PathParserFP32 instance = null;

	public static PathParserFP32 getInstance() {
		if (instance == null) {
			instance = new PathParserFP32();
		}

		return instance;
	}

	@Override
	protected double getCommand(ByteBuffer b) {
		return b.getInt();
	}

	@Override
	protected double getCoordinate(ByteBuffer b) {
		return b.getFloat();
	}

}
